Loading...
Searching...
No Matches
casacore::Weibull Class Reference
casa package (libcasa_casa) » BasicMath_module

Weibull distribution. More...

`#include <Random.h>`

## Public Member Functions

| Weibull (RNG *gen, Double alpha=1.0, Double beta=1.0)
| Construct a random number generator for a uniform distribution.
virtual | ~Weibull ()
| The destructor is trivial.
virtual Double | operator() ()
| Returns a value from the Weiball distribution.
Double | alpha () const
| Functions that allow you to query and change the parameters of the Weiball distribution.
void | alpha (Double x)
Double | beta () const
void | beta (Double x)
virtual void | setParameters (const Vector< Double > &parms)
| These function allow you to manipulate the parameters (alpha & beta) described above through the base class.
virtual Vector< Double > | parameters () const
virtual Bool | checkParameters (const Vector< Double > &parms) const
Public Member Functions inherited from casacore::Random
virtual | ~Random ()
| A virtual destructor is needed to ensure that the destructor of derived classes gets used.
RNG * | generator ()
| Functions that allow you to access and change the class that generates the random bits.
void | generator (RNG *p)

## Private Member Functions

void | setState ()

## Private Attributes

Double | itsAlpha
Double | itsBeta
Double | itsInvAlpha

## Additional Inherited Members

Public Types inherited from casacore::Random
enum | Types { BINOMIAL , DISCRETEUNIFORM , ERLANG , GEOMETRIC , HYPERGEOMETRIC , NORMAL , LOGNORMAL , NEGATIVEEXPONENTIAL , POISSON , UNIFORM , WEIBULL , UNKNOWN , NUMBER_TYPES }
| This enumerator lists all the predefined random number distributions. More...
Static Public Member Functions inherited from casacore::Random
static String | asString (Random::Types type)
| Convert the enumerator to a lower-case string.
static Random::Types | asType (const String &str)
| Convert the string to enumerator.
static Random * | construct (Random::Types type, RNG *gen)
| Convert the Random::Type enumerator to a specific object (derived from Random but upcast to a Random object).
static Vector< Double > | defaultParameters (Random::Types type)
| returns the default parameters for the specified distribution.
Protected Member Functions inherited from casacore::Random
| Random (RNG *generator)
Protected Attributes inherited from casacore::Random
RNG * | itsRNG

## Detailed Description

Weibull distribution.

### Synopsis

The Weibull class implements a weibull distribution with parameters alpha and beta. The first parameter to the class constructor is alpha, and the second parameter is beta. It is assumed that the alpha parameter is not zero and an AipsError exception is thrown if this is not true. The remaining members allow you to read and set the parameters.

### Example

### Thrown Exceptions

- AipsError: if bad values for the arguments are given, as specified above.

### To Do

- Nothing I hope!

Definition at line 1344 of file Random.h.

## Constructor & Destructor Documentation

## Weibull()

casacore::Weibull::Weibull | ( | RNG * | gen,
|  | Double | alpha = 1.0,
|  | Double | beta = 1.0 )

Construct a random number generator for a uniform distribution.

The first argument is a class that produces random bits. This pointer is NOT taken over by this class and the user is responsible for deleting it. The remaining arguments define the parameters for this distribution as described in the synopsis.

References alpha(), and beta().

## ~Weibull()

virtual casacore::Weibull::~Weibull | ( |  | ) |

virtual

The destructor is trivial.

## Member Function Documentation

## alpha() [1/2]

Double casacore::Weibull::alpha | ( |  | ) | const

inline

Functions that allow you to query and change the parameters of the Weiball distribution.

Definition at line 1384 of file Random.h.

References itsAlpha.

Referenced by Weibull().

## alpha() [2/2]

void casacore::Weibull::alpha | ( | Double | x | ) |

## beta() [1/2]

Double casacore::Weibull::beta | ( |  | ) | const

inline

Definition at line 1388 of file Random.h.

References itsBeta.

Referenced by Weibull().

## beta() [2/2]

void casacore::Weibull::beta | ( | Double | x | ) |

## checkParameters()

virtual Bool casacore::Weibull::checkParameters | ( | const Vector< Double > & | parms | ) | const

virtual

Implements casacore::Random.

## operator()()

virtual Double casacore::Weibull::operator() | ( |  | ) |

virtual

Returns a value from the Weiball distribution.

Implements casacore::Random.

## parameters()

virtual Vector< Double > casacore::Weibull::parameters | ( |  | ) | const

virtual

Implements casacore::Random.

## setParameters()

virtual void casacore::Weibull::setParameters | ( | const Vector< Double > & | parms | ) |

virtual

These function allow you to manipulate the parameters (alpha & beta) described above through the base class.

The Vectors must always be of length two.

Implements casacore::Random.

## setState()

void casacore::Weibull::setState | ( |  | ) |

private

## Member Data Documentation

## itsAlpha

Double casacore::Weibull::itsAlpha

private

Definition at line 1379 of file Random.h.

Referenced by alpha().

## itsBeta

Double casacore::Weibull::itsBeta

private

Definition at line 1380 of file Random.h.

Referenced by beta().

## itsInvAlpha

Double casacore::Weibull::itsInvAlpha

private

Definition at line 1381 of file Random.h.

The documentation for this class was generated from the following file:

- casa/BasicMath/Random.h